

update hugetlbfs_statfs for the statfs64() changes.


 fs/hugetlbfs/inode.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN fs/hugetlbfs/inode.c~hugetblfs-statfs-update fs/hugetlbfs/inode.c
--- 25/fs/hugetlbfs/inode.c~hugetblfs-statfs-update	2003-06-18 19:13:58.000000000 -0700
+++ 25-akpm/fs/hugetlbfs/inode.c	2003-06-18 19:15:23.000000000 -0700
@@ -23,10 +23,10 @@
 #include <linux/pagevec.h>
 #include <linux/quotaops.h>
 #include <linux/dnotify.h>
+#include <linux/statfs.h>
 #include <linux/security.h>
 
 #include <asm/uaccess.h>
-#include <asm/statfs.h>
 
 /* some random number */
 #define HUGETLBFS_MAGIC	0x958458f6
@@ -497,7 +497,7 @@ int hugetlbfs_set_page_dirty(struct page
 	return 0;
 }
 
-static int hugetlbfs_statfs(struct super_block *sb, struct statfs *buf)
+static int hugetlbfs_statfs(struct super_block *sb, struct kstatfs *buf)
 {
 	struct hugetlbfs_sb_info *sbinfo = HUGETLBFS_SB(sb);
 

_
